Subject: Re: Problems with PCI-E devices not being detected with switch

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 16 Oct 2008 19:29:45 +1100

On Thu, 2008-10-16 at 10:03 +0200, Stefan Roese wrote:
> Doing this unconditionally is not a good idea since we could have an old 
> (buggy) firmware which didn't configure the PCIe controller correctly. But I 
> really like your idea with the device-tree property to optionally skip this 
> re-configuration. Now we only need to find some "volunteer" to do this 
> job... ;)

I don't have a problem adding support for testing that property and
skipping most of the initial HW setup, basically treating the endpoint
as pre-configured.

What about using a value for "status" ? Or an empty "configured"
property ? Ideally, it should have been the other way around, ie
"unconfigured" for old/buggy stuff but I'm worried there may be existing
out-of-tree device-trees without it :-)

Cheers,
Ben